axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mauro Molinari <>
Subject Re: Axis2 1.5 dependencies
Date Tue, 08 Sep 2009 07:12:31 GMT
Any information on this from the developers?


Mauro Molinari ha scritto:
> Hello all!
> In October 2007 an interesting discussion took place in Axis2 dev 
> mailing list about the oportunity to re-package Axis2 for different 
> purposes (ex.: server, client, etc.) in order to clear to the huge list 
> of JARs that are now packaged in Axis2 distribution under lib directory.
> However, we are now in September 2009 and I see that Axis2 1.5 binary 
> distribution has the exact same structure of Axis2 1.3. I was wondering 
> if any progress has been made in this area or if there's any resource 
> (JIRA issue, wiki page, etc.) that is tracking any effort towards this 
> direction.
> As of now, searching this mailing list archive and Google, I found the 
> following resources:
> - 
> which seems the minimal set of libraries to run Axis2 server side to 
> create and deploy top-down webservices (i.e: from WSDL to Java) using 
> ADB databinding
> -
> which seems a description of each of the JARs provided with Axis2 1.4 
> (and should be applicable to 1.5 as well)
> So, my second question is: are those two pages the best resource 
> currently available?
> I would need some more information on the needed libraries to run Axis2 
> as a client, using stubs created with wsdl2java.
> Last but not least: by doing a diff of Axis2 1.3 libs against Axis2 1.5 
> ones, I noticed that the former provided xercesImpl-2.8.1.jar and 
> xml-apis-1.3.03.jar, while the latter provides xercesImpl-2.6.2.jar and 
> xml-apis-1.3.02.jar: is there a particular reason for this version 
> downgrade of those two libraries?

View raw message